<script setup>
defineProps({
    labelName: {
        type: String,
        required: true
    },
    id: {
        type: String,
        required: true
    },
    inputType: {
        type: String,
        default: 'text'
    },
    modelValue: {}
})

defineEmits(['update:modelValue'])
</script>

<template>
    <div class="mb-3">
        <label :for="id" class="form-label">{{ labelName }}</label>
        <input
            :id="id"
            :type="inputType"
            :value="modelValue"
            @input="$emit('update:modelValue', $event.target.value)"
            class="form-control"
        >
        <slot></slot>

    </div>
</template>

<style scoped>

</style>